Bug 235647 - guide bug-filers to attach files instead of pasting huge text
guide bug-filers to attach files instead of pasting huge text
Status: CLOSED WONTFIX
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
devel
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-08 22:34 EDT by Dave Jones
Modified: 2015-01-04 17:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-19 21:58:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2007-04-08 22:34:46 EDT
I frequently get users filing kernel bugs with dmesg output, or lspci -v output
which takes up pages and pages as comments, which bloats up a bug report quite
extensively (especially when the info they attach isn't actually relevant).

Could we add a heuristic so that if the text is more than a 15 lines or so, we
advise the user to 'attach file' instead ?

Sometimes, people really will write comments that would exceed this heuristic
however, so having a "are you sure" style dialog with "file as comment anyway"
or "file as attachment" option would probably make sense.
Comment 2 yawei Li 2012-07-10 05:40:25 EDT
still want this feature?
Comment 3 collura 2012-07-13 00:40:27 EDT
yes probably not a bad idea add the feature to suggest but leave it overrideable for those longwinded among us as suggested in comment#1. ;')
Comment 4 Simon Green 2012-08-19 21:58:18 EDT
I've been thinking about this, and I don't think it is the best solution to the problem for a few reasons:

1) It can't be a separate warning page. That is just going to annoy people.
2) If it was a Javascript warning, you are going to miss the people that don't have it enabled (BZ is designed to fully work without Javascript enabled).
3) You can not add an attachment at the same time as making other changes (e.g. requesting needinfo)
4) You run the risk of pissing off users who just want to paste their log.
5) Those users are going to select the 'Yes I really want a comment button' option anyway.
6) I can think of many times when I've made comments that are longer than fifteen lines

Therefore I am going to mark this as WONTFIX.

If you have Javascript enabled, you can collapse a comment by clicking the [-] link at the top right of the comment box (or chose the 'Collapse all comments' option)

  -- simon

Note You need to log in before you can comment on or make changes to this bug.